summaryrefslogtreecommitdiffstats
path: root/god
diff options
context:
space:
mode:
authortv <tv@xso>2011-08-29 14:42:20 +0200
committertv <tv@xso>2011-08-29 14:42:20 +0200
commit5b67fc92eb2a29810061a64969dcc073beabcbdb (patch)
treeee83e98495215c4b65ac2318b0918e0fb62bd796 /god
parent8c521570fe1ff45c22aa1a4c7f93538841fc1665 (diff)
parent8a6fd84c70618f5a435d2859b513de6de68dc0d1 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'god')
-rwxr-xr-xgod/licht20
1 files changed, 20 insertions, 0 deletions
diff --git a/god/licht b/god/licht
new file mode 100755
index 00000000..8ece3510
--- /dev/null
+++ b/god/licht
@@ -0,0 +1,20 @@
+#!/bin/bash
+case "$1" in
+ (--help) echo "Toggle the lights";;
+ (*)
+ LAMPE=`echo $1 | sed -n '/^[1-2]*[0-9]*[0-9]$/p' | xargs echo "obase=16;" | bc`
+ TOGGLE=`echo $2 | sed -n '/^[0-1]/p'`
+ if ! [ "$LAMPE" -a "$TOGGLE" ];then
+ echo "you are made of stupid"
+ exit 1
+ fi
+ STRING="\xA5\x5A\x$LAMPE\x$TOGGLE"
+ if [ $# != 2 ]
+ then
+ echo -ne "Usage: licht <lampe> <0/1>"
+ else
+ echo "Toggle light $LAMPE ($TOGGLE)"
+ echo -ne "$STRING" | nc -u -w1 licht.shack 1337
+ fi
+ ;;
+esac